FROM mcr.microsoft.com/dotnet/core/sdk:3.0 as build
RUN apt update
RUN apt upgrade -y
RUN apt install mono-devel -y
RUN mozroots --import --sync
COPY . /app
WORKDIR /app/
RUN version=$(cat /app/version.txt) dotnet publish

RUN cp -R /app/UnitTest/bin/Debug/netcoreapp3.0/publish /release/
RUN rm -Rf /app
WORKDIR /release/
CMD ["dotnet", "vstest", "SemesterUnitTest.dll"]
